aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xterm/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-06-19 15:31:26 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-06-19 15:31:34 +0200
commit0aa7efb911ed00cafc86e02bf074f60efe1fee0d (patch)
treea9a406dd038649dbdffb7da6ac25332491eb3ba2 /testing/xterm/APKBUILD
parent2ee16c59c890f9838a7eace071da05ea192ed599 (diff)
downloadaports-0aa7efb911ed00cafc86e02bf074f60efe1fee0d.tar.gz
aports-0aa7efb911ed00cafc86e02bf074f60efe1fee0d.tar.bz2
aports-0aa7efb911ed00cafc86e02bf074f60efe1fee0d.tar.xz
testing/xterm: new aport
Diffstat (limited to 'testing/xterm/APKBUILD')
-rw-r--r--testing/xterm/APKBUILD73
1 files changed, 73 insertions, 0 deletions
diff --git a/testing/xterm/APKBUILD b/testing/xterm/APKBUILD
new file mode 100644
index 0000000000..526a060e7e
--- /dev/null
+++ b/testing/xterm/APKBUILD
@@ -0,0 +1,73 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=xterm
+pkgver=318
+pkgrel=0
+pkgdesc="X Terminal Emulator"
+url="http://invisible-island.net/xterm"
+arch="all"
+license="custom"
+depends=""
+depends_dev="libxaw-dev libxft-dev ncurses-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="ftp://invisible-island.net/xterm/xterm-$pkgver.tgz"
+
+_builddir="$srcdir"/xterm-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --with-x \
+ --disable-full-tgetent \
+ --disable-imake \
+ --enable-ansi-color \
+ --enable-88-color \
+ --enable-256-color \
+ --enable-broken-osc \
+ --enable-broken-st \
+ --enable-load-vt-fonts \
+ --enable-i18n \
+ --enable-wide-chars \
+ --enable-doublechars \
+ --enable-warnings \
+ --enable-tcap-query \
+ --enable-logging \
+ --enable-dabbrev \
+ --enable-freetype \
+ --enable-luit \
+ --enable-mini-luit \
+ --enable-narrowproto \
+ --enable-exec-xterm \
+ --with-tty-group=tty \
+ --with-utempter \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="598d1122f501116fbfed8a642d8ea6c1 xterm-318.tgz"
+sha256sums="e71f2b0fb11d6c723c1f9af10fc01048b776f44c1636aa1b71e5eff77deb81d7 xterm-318.tgz"
+sha512sums="d1ff9b4359a49f47cc9e5e7d6311242b7beef57e554389fe3033f69263b871ad5ba89d74b428d79564f013efced2d2d36cfac987aed8ab873722fdeb8fd6abf6 xterm-318.tgz"